/*
Theme Name:     Добродетель
Theme URI:      https://impress.io/
Description:    Дочерняя тема Twenty Seventeen
Author:         Impressio
Author URI:     https://impress.io/about/
Template:       twentyseventeen
Version:        0.1.2
*/

html[lang="ru-RU"] body,
html[lang="ru-RU"] button,
html[lang="ru-RU"] input,
html[lang="ru-RU"] select,
html[lang="ru-RU"] textarea {
    font-family: "Open Sans"
}

/* Headings */
h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: Merriweather;
    color: #333;
}

.entry-content h1,
.entry-content h2,
.entry-content h3,
.entry-content h4,
.entry-content h5,
.entry-content h6 {
    margin-top: 2em;
    margin-bottom: 2em;
    padding: 0;
}

.entry-content h2 {
    font-size: 1.5em;
    line-height: 1.4;
}

.entry-content h3 {
    font-size: 1.25em;
    line-height: 1.4;
}

.entry-content h4 {
    font-size: 1.1em;
    line-height: 1.5;
}

.entry-content h5 {
    font-size: 1em;
    line-height: 1.8;
}

.entry-content h6 {
    font-size: 0.8em;
    line-height: 1.8;
}

/* Lists */
ul, ol {
    margin-left: 1.5em;
}

li {
    line-height: 1.8;
}

/* Tables */
th:last-child, td:last-child,
th, td, th:first-child, td:first-child {
    padding-left: 0.5em;
    padding-right: 0.5em;
}

/* Desktop */
@media screen and (min-width: 48em) {
    /* Меню */
    .js .main-navigation >div > ul {
        display: flex;
        justify-content: space-around;
        size: 1.25em;
        padding-top: 0;
        padding-bottom: 0;
        text-align: center;
    }
    .main-navigation a {
        text-transform: uppercase;
    }
    .navigation-top { font-size: 1rem; }
    .navigation-top .wrap {
        padding-top: 0;
        padding-bottom: 0;
    }

    /* Общая ширина макета */
    .wrap,
    .navigation-top .wrap {
        max-width: 1280px;
    }

    /* Ширина колонок */
    .has-sidebar:not(.error404) #primary {
        float: left;
        width: 70%;
    }

    .has-sidebar #secondary {
        width: 24%;
    }

    /* Контент */
    .twentyseventeen-front-page .site-content,
    .site-content {
        padding-top: 3em;
    }

    .twentyseventeen-front-page h2:first-of-type {
        margin-top: 0;
    }

    /* Архив */
    .entry-header .entry-title {
        margin-top: 0;
    }
    .blog .site-main>article,
    .archive .site-main>article,
    .search .site-main>article {
        padding-bottom: 2em;
    }

    /* Единичная запись или страница */
    .single-post .entry-title,
    .single-post .entry-title,
    .page .entry-title,
    .page .panel-content .entry-title,
    body.page:not(.twentyseventeen-front-page) .entry-title {
        font-size: 2rem;
        margin-top: 0;
        text-transform: none;
    }

    .page.page-one-column .entry-header,
    .twentyseventeen-front-page.page-one-column .entry-header,
    .archive.page-one-column:not(.has-sidebar) .page-header {
        margin-bottom: 0;
    }

    p {
        line-height: 1.8;
    }
}

/* Изображение записи */
.post-thumbnail a img {
    width: 100%;
    height: 300px;
    object-fit: cover;
}

/* Подвал сайта */
.site-footer .widget-area {
    padding-top: 0;
    padding-bottom: 0;
}

.site-footer .widget {
    padding-bottom: 0;
}

.site-info {
    text-align: center;
    width: 100%;
    margin-bottom: 0;
}

/* Youtube видео */
.wp-block-embed-youtube {
}
.wp-block-embed-youtube iframe {
    width: 100%;
}

/* Цвет ссылок */
.entry-content a {
    color: #3490DC;
    box-shadow: inset 0 -1px 0 rgba(52, 144, 220, 1)
}

.entry-content a:focus,
.entry-content a:hover,
.entry-summary a:focus,
.entry-summary a:hover,
.comment-content a:focus,
.comment-content a:hover,
.widget a:focus,
.widget a:hover,
.site-footer .widget-area a:focus,
.site-footer .widget-area a:hover,
.posts-navigation a:focus,
.posts-navigation a:hover,
.comment-metadata a:focus,
.comment-metadata a:hover,
.comment-metadata a.comment-edit-link:focus,
.comment-metadata a.comment-edit-link:hover,
.comment-reply-link:focus,
.comment-reply-link:hover,
.widget_authors a:focus strong,
.widget_authors a:hover strong,
.entry-title a:focus,
.entry-title a:hover,
.entry-meta a:focus,
.entry-meta a:hover,
.page-links a:focus .page-number,
.page-links a:hover .page-number,
.entry-footer a:focus,
.entry-footer a:hover,
.entry-footer .cat-links a:focus,
.entry-footer .cat-links a:hover,
.entry-footer .tags-links a:focus,
.entry-footer .tags-links a:hover,
.post-navigation a:focus,
.post-navigation a:hover,
.pagination a:not(.prev):not(.next):focus,
.pagination a:not(.prev):not(.next):hover,
.comments-pagination a:not(.prev):not(.next):focus,
.comments-pagination a:not(.prev):not(.next):hover,
.logged-in-as a:focus,
.logged-in-as a:hover,
a:focus .nav-title,
a:hover .nav-title,
.edit-link a:focus,
.edit-link a:hover,
.site-info a:focus,
.site-info a:hover,
.widget .widget-title a:focus,
.widget .widget-title a:hover,
.widget ul li a:focus,
.widget ul li a:hover {
    color: #2779BD;
    box-shadow: inset 0 -1px 0 rgba(39, 121, 189, 0), 0 3px 0 rgba(39, 121, 189, 1);
}

/* Utilities */
.m-b-0 {
    margin-bottom: 0;
}

/* Убрать затемнение снизу шапки */

.custom-header-media:before {
    background: none;
}

.has-header-image.twentyseventeen-front-page .custom-header {
    height: 100px;
}

.twentyseventeen-front-page.has-header-image .custom-header-media {
    height: 100px;
}
.has-header-image .custom-header-media img {
    min-width: 100%;
    height: 100px;
    min-height: 0;
}

@media screen and (min-width: 48em) {
    .has-header-image.twentyseventeen-front-page .custom-header {
        height: 462px;
    }
    .twentyseventeen-front-page.has-header-image .custom-header-media {
        height: 462px;
    }
    .has-header-image .custom-header-media img {
        height: 462px;
    }
}

